Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159000 - CAN-2005-1751 shtool insecure temporary file creation
Summary: CAN-2005-1751 shtool insecure temporary file creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050524,source=ven...
: 158997 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-27 15:32 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-564
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 20:03:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:564 normal SHIPPED_LIVE Important: php security update 2005-07-07 04:00:00 UTC

Description Josh Bressers 2005-05-27 15:32:03 UTC
Race condition in shtool 2.0.1 and earlier allows local users to
create or modify arbitrary files via a symlink attack on the
.shtool.$$ temporary file.
http://www.zataz.net/adviso/shtool-05252005.txt

openldap contains shtool in its source.

Comment 1 Joe Orton 2005-05-27 15:43:58 UTC
Note that this issue can only be triggered when:

a) rebuilding the PHP source RPM
b) building a third-party PHP module

Proposing for inclusion in U2.

Comment 2 Joe Orton 2005-05-27 15:48:32 UTC
*** Bug 158997 has been marked as a duplicate of this bug. ***

Comment 3 Josh Bressers 2005-05-27 16:58:47 UTC
Yes, we'll just include this in either U2 or our next security update.  No need
to roll new packages just for this.

Comment 6 Red Hat Bugzilla 2005-07-07 20:03:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-564.html



Note You need to log in before you can comment on or make changes to this bug.